Bug 9517 - samba_dnsupdate does not use sambas krb5.conf
samba_dnsupdate does not use sambas krb5.conf
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: Tools
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-20 15:17 UTC by Björn Baumbach
Modified: 2013-01-11 12:22 UTC (History)
1 user (show)

See Also:


Attachments
proposed patch cherry-picked from master (1.64 KB, patch)
2013-01-09 16:09 UTC, Björn Baumbach
metze: review+
abartlet: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Björn Baumbach 2012-12-20 15:17:26 UTC
the nsupdate command does not see the configured environment variables. So it does not use our own krb5.conf. It needs a copy/link in /etc/krb5.conf.

Patch follows up.
Comment 1 Björn Baumbach 2013-01-09 16:09:52 UTC
Created attachment 8398 [details]
proposed patch cherry-picked from master
Comment 2 Stefan Metzmacher 2013-01-10 08:43:54 UTC
Comment on attachment 8398 [details]
proposed patch cherry-picked from master

Looks good
Comment 3 Björn Baumbach 2013-01-11 06:53:53 UTC
Karolin, please pick
Comment 4 Karolin Seeger 2013-01-11 09:44:25 UTC
Pushed to autobuild-v4-0-test.
Comment 5 Karolin Seeger 2013-01-11 12:22:52 UTC
Pushed to v4-0-test.
Closing out bug report.

Thanks!